<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Builder;

class PagSeguroShippingViewModelBuilder implements Builder {
	protected $address;

	public function build(): PagSeguroShippingViewModel {

		$obj = new PagSeguroShippingViewModel();
		
		$obj->setAddress($this->address);

		return $obj;

	}

	/**
	 *
	 * @param mixed $address
	 */
	public function setAddress($address): PagSeguroShippingViewModelBuilder {

		$this->address = $address;
		return $this;

	}

}

